Core - Bug # 33956

Bug # 46389 (Accepted): Faulty Workspace Placeholders

Status: Closed Priority: Must have
Author: Tolleiv Nietsch Category:

Created: 2012-02-15 Assigned To: Tolleiv Nietsch
Updated: 2014-01-21 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: FAL is not yet compatible with the tceform placeholder feature

Description

The feature merged in https://review.typo3.org/#change, 7823 #33235 causes errors in the backend module when used with the new

file stuff....

Related issues:
related to Core - Task # 33745: Integrate File Abstraction Layer Resolved 2011-11-29

History

#1 - 2012-02-15 21:53 - Tolleiv Nietsch

Fixed in commit:f04e09f613219a5d526ef3d08dde1673f0f42702

Would be great if someone could confirm that the "__row|__foreign|jname" syntax for the placeholder is really final - in this case | could move this to the
Core review directly.

#2 - 2012-02-15 21:54 - Tolleiv Nietsch

- Status changed from Accepted to Needs Feedback
- Assigned To deleted (Tolleiv Nietsch)

- % Done changed from 0 to 90

#3 - 2012-02-20 14:41 - Oliver Hader
- Assigned To set to Oliver Hader

#4 - 2012-02-20 14:41 - Oliver Hader

Seems like documentation is missing here as well.

extract from http://forge.typo3.org/issues/33235

#5 - 2012-02-20 19:55 - Tolleiv Nietsch

Hmmm wait - Tobi's patch was fine and all features introduced are explained there. But | found that within the FAL branch the placeholders utilized
another nesting level ("__row|__foreignjname") which wasn't available from his patchset but needed by the FAL fields. That's why I'm asking whether
this should pushed to the Core (as additional RFC) or not?

#6 - 2012-02-25 18:25 - Gerrit Code Review
https://review.typo3.org/#change,7823
http://forge.typo3.org/issues/33235

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/9203

#7 - 2012-02-25 22:20 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/9203

#8 - 2012-02-25 22:48 - Tolleiv Nietsch

- Project changed from File Abstraction Layer to Core

- Status changed from Needs Feedback to Under Review

- Assigned To changed from Oliver Hader to Tolleiv Nietsch
- Priority changed from Should have to Must have

- Target version deleted (6.0 betat)

#9 - 2013-03-17 21:09 - Oliver Hader

- Parent task set to #46389

- TYPOS3 Version set to 6.0

#10 - 2014-01-20 18:33 - Ingo Schmitt

- Is Regression set to No

Does this problem still exist in 6.2 Beta 4

#11 - 2014-01-21 00:57 - Tolleiv Nietsch
- Status changed from Under Review to Closed

Kidding?
